unit UFmMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Db, Grids, DBGrids, ExtCtrls, IBCustomDataSet, IBQuery, IBDatabase,
  DMSQLIBX, DMSQLCriteria;

type
  TFmMain = class(TForm)
    EtFullName: TDMSQLEdit;
    DsResult: TDataSource;
    EtHireDateFrom: TDMSQLEdit;
    PbBuildSQL: TButton;
    EtEmpNo: TDMSQLEdit;
    QyResult: TDMSQLIBQuery;
    GdResult: TDBGrid;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    EtHireDateTo: TDMSQLEdit;
    EtSQL: TMemo;
    PbClear: TButton;
    Label4: TLabel;
    Label5: TLabel;
    EtSalaryFrom: TDMSQLEdit;
    Label6: TLabel;
    EtSalaryTo: TDMSQLEdit;
    EtDeptNo: TDMSQLEdit;
    Label7: TLabel;
    DB: TIBDatabase;
    Bevel1: TBevel;
    LbJobCode: TDMSQLListBox;
    Label8: TLabel;
    Trans: TIBTransaction;
    procedure PbBuildSQLClick(Sender: TObject);
    procedure PbClearClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FmMain: TFmMain;

implementation

{$R *.DFM}

procedure TFmMain.PbBuildSQLClick(Sender: TObject);
begin
  try
    QyResult.Implementor.BuildSQL(Self);
  finally
    EtSQL.Lines := QyResult.SQL;
  end;
end;

procedure TFmMain.PbClearClick(Sender: TObject);
begin
  QyResult.Implementor.ClearCriteria(Self);
end;

end.
